> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riseworks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create typed data for payments

> Create typed data for payments. The typed data can be signed and then executed to create the payments on-chain.



## OpenAPI

````yaml /api-reference/openapi.yaml post /v2/payments
openapi: 3.0.3
info:
  title: Rise
  description: Web3-enabled payroll and compliance for the modern workforce
  version: 2.0.0
servers:
  - url: https://b2b-api.dev-riseworks.io
    description: Development
  - url: https://integrations-api.staging-riseworks.io
    description: Staging
  - url: https://integrations-api.riseworks.io
    description: Production
security: []
paths:
  /v2/payments:
    post:
      tags:
        - B2B Payments
      summary: Create typed data for payments
      description: >-
        Create typed data for payments. The typed data can be signed and then
        executed to create the payments on-chain.
      parameters:
        - schema:
            type: string
            minLength: 1
            maxLength: 255
          in: header
          name: x-idempotency-key
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                from:
                  type: string
                  minLength: 15
                  maxLength: 15
                  pattern: ^te-.*
                  description: >-
                    Identifier of a Rise team (a workspace below a company).
                    15-character nanoid prefixed with `te-`.
                to:
                  type: array
                  items:
                    type: object
                    properties:
                      to:
                        type: string
                        minLength: 15
                        maxLength: 15
                        pattern: ^us-.*
                        description: >-
                          Identifier of a Rise user. 15-character nanoid
                          prefixed with `us-`.
                      amount_cents:
                        type: integer
                        minimum: 100
                        maximum: 10000000000
                      currency_symbol:
                        default: USD
                        type: string
                        enum:
                          - USD
                      invoice_description:
                        type: string
                        maxLength: 5000
                    required:
                      - to
                      - amount_cents
                pay_now:
                  type: boolean
                network:
                  default: arbitrum
                  type: string
                  enum:
                    - arbitrum
              required:
                - from
                - to
                - pay_now
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  data:
                    type: object
                    properties:
                      to_sign:
                        anyOf:
                          - type: object
                            properties:
                              domain:
                                type: object
                                properties:
                                  name:
                                    type: string
                                  version:
                                    type: string
                                  chainId:
                                    type: number
                                  verifyingContract:
                                    type: string
                                    pattern: ^0x[a-fA-F0-9]{40}$
                                    description: >-
                                      EVM address (0x + 40 hex chars) or
                                      null/empty for unknown.
                                required:
                                  - name
                                  - version
                                  - chainId
                                  - verifyingContract
                                additionalProperties: false
                              types:
                                type: object
                                properties:
                                  CreatePaymentAuthorizationForwardRequest:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        name:
                                          type: string
                                        type:
                                          type: string
                                      required:
                                        - name
                                        - type
                                      additionalProperties: false
                                  RisePaymentAuthorizationRequest:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        name:
                                          type: string
                                        type:
                                          type: string
                                      required:
                                        - name
                                        - type
                                      additionalProperties: false
                                required:
                                  - CreatePaymentAuthorizationForwardRequest
                                  - RisePaymentAuthorizationRequest
                                additionalProperties: false
                              typed_data:
                                type: object
                                properties:
                                  from:
                                    type: string
                                    pattern: ^0x[a-fA-F0-9]{40}$
                                    description: >-
                                      EVM address (0x + 40 hex chars) or
                                      null/empty for unknown.
                                  to:
                                    type: string
                                    pattern: ^0x[a-fA-F0-9]{40}$
                                    description: >-
                                      EVM address (0x + 40 hex chars) or
                                      null/empty for unknown.
                                  salt:
                                    type: string
                                  expires:
                                    type: string
                                  data:
                                    type: object
                                    properties:
                                      groupID:
                                        type: string
                                      merkleRoot:
                                        type: string
                                      paymentsCount:
                                        type: string
                                      maxAmountPerPayment:
                                        type: string
                                      deadline:
                                        type: string
                                    required:
                                      - groupID
                                      - merkleRoot
                                      - paymentsCount
                                      - maxAmountPerPayment
                                      - deadline
                                    additionalProperties: false
                                required:
                                  - from
                                  - to
                                  - salt
                                  - expires
                                  - data
                                additionalProperties: false
                              primary_type:
                                type: string
                            required:
                              - domain
                              - types
                              - typed_data
                              - primary_type
                            additionalProperties: false
                          - type: object
                            properties:
                              domain:
                                type: object
                                properties:
                                  name:
                                    type: string
                                  version:
                                    type: string
                                  chainId:
                                    type: number
                                  verifyingContract:
                                    type: string
                                    pattern: ^0x[a-fA-F0-9]{40}$
                                    description: >-
                                      EVM address (0x + 40 hex chars) or
                                      null/empty for unknown.
                                required:
                                  - name
                                  - version
                                  - chainId
                                  - verifyingContract
                                additionalProperties: false
                              types:
                                type: object
                                properties:
                                  CreatePaymentsAndExecutePayNowForwardRequest:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        name:
                                          type: string
                                        type:
                                          type: string
                                      required:
                                        - name
                                        - type
                                      additionalProperties: false
                                  RisePayNowBatchRequest:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        name:
                                          type: string
                                        type:
                                          type: string
                                      required:
                                        - name
                                        - type
                                      additionalProperties: false
                                  RisePayNow:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        name:
                                          type: string
                                        type:
                                          type: string
                                      required:
                                        - name
                                        - type
                                      additionalProperties: false
                                required:
                                  - CreatePaymentsAndExecutePayNowForwardRequest
                                  - RisePayNowBatchRequest
                                  - RisePayNow
                                additionalProperties: false
                              typed_data:
                                type: object
                                properties:
                                  from:
                                    type: string
                                    pattern: ^0x[a-fA-F0-9]{40}$
                                    description: >-
                                      EVM address (0x + 40 hex chars) or
                                      null/empty for unknown.
                                  to:
                                    type: string
                                    pattern: ^0x[a-fA-F0-9]{40}$
                                    description: >-
                                      EVM address (0x + 40 hex chars) or
                                      null/empty for unknown.
                                  salt:
                                    type: string
                                  expires:
                                    type: string
                                  data:
                                    type: object
                                    properties:
                                      groupID:
                                        type: string
                                      token:
                                        type: string
                                        pattern: ^0x[a-fA-F0-9]{40}$
                                        description: >-
                                          EVM address (0x + 40 hex chars) or
                                          null/empty for unknown.
                                      payments:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            id:
                                              type: string
                                            recipient:
                                              type: string
                                              pattern: ^0x[a-fA-F0-9]{40}$
                                              description: >-
                                                EVM address (0x + 40 hex chars) or
                                                null/empty for unknown.
                                            amount:
                                              type: string
                                          required:
                                            - id
                                            - recipient
                                            - amount
                                          additionalProperties: false
                                    required:
                                      - groupID
                                      - token
                                      - payments
                                    additionalProperties: false
                                required:
                                  - from
                                  - to
                                  - salt
                                  - expires
                                  - data
                                additionalProperties: false
                              primary_type:
                                type: string
                            required:
                              - domain
                              - types
                              - typed_data
                              - primary_type
                            additionalProperties: false
                      payment_data:
                        type: object
                        properties:
                          checksum:
                            type: string
                        required:
                          - checksum
                        additionalProperties: false
                      failed_payments:
                        type: array
                        items:
                          type: object
                          properties:
                            userNanoid:
                              type: string
                              minLength: 15
                              maxLength: 15
                              pattern: ^us-.*
                              description: >-
                                Identifier of a Rise user. 15-character nanoid
                                prefixed with `us-`.
                            error:
                              type: string
                          required:
                            - userNanoid
                            - error
                          additionalProperties: false
                      duplicates:
                        type: object
                        properties:
                          payments:
                            type: array
                            items:
                              type: object
                              properties:
                                to:
                                  type: string
                                  minLength: 15
                                  maxLength: 15
                                  pattern: ^us-.*
                                  description: >-
                                    Identifier of a Rise user. 15-character
                                    nanoid prefixed with `us-`.
                                amount_cents:
                                  type: integer
                                  minimum: 100
                                  maximum: 10000000000
                                currency_symbol:
                                  type: string
                                  enum:
                                    - AED
                                    - ARS
                                    - AUD
                                    - BDT
                                    - BIF
                                    - BOB
                                    - BRL
                                    - BTC
                                    - CAD
                                    - CDF
                                    - CHF
                                    - CLP
                                    - CNY
                                    - COP
                                    - CRC
                                    - CZK
                                    - DKK
                                    - EGP
                                    - ETB
                                    - EUR
                                    - GBP
                                    - GHS
                                    - GMD
                                    - GTQ
                                    - HKD
                                    - HUF
                                    - IDR
                                    - ILS
                                    - INR
                                    - JOD
                                    - JPY
                                    - KES
                                    - KRW
                                    - KWD
                                    - LKR
                                    - MAD
                                    - MMK
                                    - MNT
                                    - MWK
                                    - MXN
                                    - MYR
                                    - MZN
                                    - NGN
                                    - NOK
                                    - NPR
                                    - NZD
                                    - PEN
                                    - PHP
                                    - PKR
                                    - PLN
                                    - QAR
                                    - RON
                                    - RWF
                                    - SEK
                                    - SGD
                                    - THB
                                    - TRY
                                    - TZS
                                    - UGX
                                    - USD
                                    - USDC
                                    - USDT
                                    - UYU
                                    - UZS
                                    - VND
                                    - XAF
                                    - XOF
                                    - ZAR
                                  description: >-
                                    Any currency Rise supports — fiat (ISO-4217
                                    codes like USD, GBP) or crypto (USDC, EURC,
                                    BTC, etc.).
                                invoice_description:
                                  type: string
                                  maxLength: 5000
                              required:
                                - to
                                - amount_cents
                                - currency_symbol
                              additionalProperties: false
                          days_checked:
                            type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                        required:
                          - payments
                          - days_checked
                        additionalProperties: false
                    required:
                      - to_sign
                      - payment_data
                      - failed_payments
                      - duplicates
                    additionalProperties: false
                required:
                  - success
                  - data
                additionalProperties: false
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Bad Request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Unauthorized
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Forbidden
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Not Found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Internal Server Error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````